Skip to main content
GET
Get a single custom attribute

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

name
string
required

Name of the attribute.

Response

successful response

createdAt
string
read-only

Date and time of creation. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

dataType
enum<string>

Custom attribute type.

Available options:
STRING,
DECIMAL,
INTEGER,
BOOLEAN,
DATE,
DATE_TIME,
LIST_OF_OBJECTS
modifiedAt
string
read-only

Date and time of last modification. Has the following format: yyyy-MM-dd'T'HH:mm:ss.

name
string

Custom attribute name, 256 characters max. Invalid characters: {}[].

objectSchema
object

Object schema for LIST_OF_OBJECTS type. Defines the shape of the list items.